# $Revision: 1.23 $, $Date: 2004/03/31 20:09:34 $
Summary:	The GNU oSIP library
Summary(pl):	Biblioteka GNU oSIP
Name:		libosip
Version:	0.9.7
Release:	4
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gnu.org/gnu/osip/%{name}-%{version}.tar.gz
# Source0-md5:	1c97d2bbc042ba318b1ad422b6109537
Patch0:		%{name}-docbook2man.patch
Patch1:		%{name}-nolibs.patch
URL:		http://www.fsf.org/software/osip/osip.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is "the GNU oSIP library" (for Omnibus SIP). It has been designed
to provide the Internet Community a simple way to support the Session
Initiation Protocol. SIP is described in the RFC2543 which is
available at http://www.ietf.org/rfc/rfc2543.txt.

%description -l pl
To jest biblioteka GNU oSIP (Omnibus SIP). Zostaa zaprojektowana, aby
dostarczy Spoecznoci Internetowej prost obsug protokou SIP.
Protok SIP (Session Initiation Protocol) jest opisany w RFC2543.

%package devel
Summary:	The GNU oSIP library - development files
Summary(pl):	Pliki dla programistw uywajcych GNU oSIP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for the GNU oSIP library.

%description devel -l pl
Pliki dla programistw uywajcych biblioteki GNU oSIP.

%package static
Summary:	The GNU oSIP library - static version
Summary(pl):	Statyczna biblioteka GNU oSIP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of the GNU oSIP library.

%description static -l pl
Statyczna wersja biblioteki GNU oSIP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm -f acinclude.m4

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-semaphore \
	--enable-pthread \
	--%{?debug:en}%{!?debug:dis}able-debug

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_mandir}/man{1,3}
mv -f $RPM_BUILD_ROOT%{_mandir}/man3/osip.{1,3}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libosip.spec,v $
Revision 1.23  2004/03/31 20:09:34  qboosh
- fixed build, removed unneeded automake patch
- it doesn't obsolete libosip2; _this_ version will be eventually obsoleted by libosip2

Revision 1.22  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.21  2003/07/01 20:29:35  luzik
 - added obsoletes libosip2
 - release 4

Revision 1.20  2003/06/30 14:14:48  qboosh
- added nolibs patch to removed -lnsl, release 3

Revision 1.19  2003/06/26 16:13:15  radzio
- add patch1 (fix problem with am macros)
- rel 2

Revision 1.18  2003/06/23 09:05:13  zagrodzki
- upgraded to 0.9.7

Revision 1.17  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.16  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:49:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/03 14:08:36  qboosh
- added epoch to BR: libtool to allow using DEVEL versions

Revision 1.13  2003/01/03 13:10:29  qboosh
- moved informational (not development) documentation to base
- fixed man page (should be 3 not 1), moved to -devel

Revision 1.12  2003/01/02 08:43:57  blues
- 0.9.3 - BR with version of libtool added

Revision 1.11  2002/10/11 19:54:27  ankry
- change lib*.la permissions to 644

Revision 1.10  2002/10/11 13:26:54  ankry
- added patch renaming required docbook tool

Revision 1.9  2002/10/04 13:25:13  kloczek
- regenerate ac/am/lt is back (am_fixes patch added).

Revision 1.8  2002/09/30 08:13:28  blues
- I said - regeneration breaks building, not regeneration itself...

Revision 1.7  2002/09/28 17:49:45  kloczek
- remove acinclude.m4 before regeneration ac/am/lt suit with private libtool.m4
  copy (now regeneration ac/am/lt is possible),
- better %%{debug} support.

Revision 1.6  2002/09/25 14:53:56  blues
- 0.8.9 - license change, URL updated, partialy regeneration turned off
  (was breaking build) - STBR

Revision 1.5  2002/06/30 13:18:54  kloczek
- finished.

Revision 1.4  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
             s/^automake -a -c -f/\%%\{__automake\}/; \
	     s/^autoconf/\%%\{__autoconf\}/"

Revision 1.3  2002/04/16 07:58:49  qboosh
- pl descriptions

Revision 1.2  2002/04/15 17:22:00  jajcus
- Version: 0.7.9 (current linphone will not compile with newer)

Revision 1.1  2002/04/15 13:27:52  jajcus
- new spec
